# Permission

{% hint style="info" %}
A single permission that represents the relation between an app role and an entity.
{% endhint %}

## Properties

| Name             | Type          | Description                                                                                                                                                                                                                             |
| ---------------- | ------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `allowed`        | `Boolean`     | Whether the entity is allowed for the permission.                                                                                                                                                                                       |
| `appAddress`     | `String`      | App address.                                                                                                                                                                                                                            |
| `granteeAddress` | `String`      | Entity address receiving the permission.                                                                                                                                                                                                |
| `params`         | `ParamData[]` | An array of ParamData. It contains the `argumentId`, `operationType` and `argumentValue` of each paramenter as described in [Parameter interpretation](/developers/tools/aragonos/reference-documentation.md#parameter-interpretation). |
| `roleHash`       | `String`      | Encoded identifier for the role.                                                                                                                                                                                                        |

## Methods

### getApp()

| Name    | Type  | Description                                    |
| ------- | ----- | ---------------------------------------------- |
| returns | `App` | App instance corresponding to the app address. |

### getRole()

| Name    | Type   | Description                                         |
| ------- | ------ | --------------------------------------------------- |
| returns | `Role` | Role instance corresponding to the role identifier. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://legacy-docs.aragon.org/developers/tools/aragon-connect/api-reference/permission.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
